package com.loan.system.annotation;


import com.loan.system.domain.enums.LogEnum;

import java.lang.annotation.*;


@Target(ElementType.METHOD) //方法级别
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface OperLog {
    // 模块：该操作作用在的模块
    LogEnum operModul();

    // 类型：{delete，insert，update}
    LogEnum operType();

    // 描述：对该操作描述信息
    String operDesc();

    // 反射：对于更新和删除操作需要的实例
    String operService() default "";

}